---
page_title: Mandate Retry API
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/mandate-retry-api
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---


# **Mandate Retry API** 



If there are any circumstances, where a mandate execution has failed, and can be retried, but it did not happen due to any reason (Failure, New Error Code ) etc. 

Merchants can also trigger retry from their end as well. 

This will trigger the transactions from the location they last failed. 

For example. 

1. If Notification had failed, it will retry notification first.
2. If Notification was successful, it will attempt direct execution instead of sending a notification first.

> **Note**
> If a mandate is in Revoked/ Paused / Expired state,  or if the failure is such that retry cannot take place, then retry will not take place and request will fail. 



This ensures that the transaction can move to success from their last step of failure , time to success can be reduced. 

## Sample Code Snippets:
### Individual Mandate Retry Request:

#### Request Code Snippet:

```request
curl --location 'https://api.juspay.in/ecr/mandate/retry' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic QURERDE3MERFNDY0MjYzOTVENDE5MjBFRDgwMTJBOg==' \
--data '{ 
    "order_id" : "recu_1731322009", 
    "mandate_id" : "6R7GmdPfhecWj24DarETJJ"
}'
```

### Response:

#### Success Response:
```plaintext
{"order_id":"D80019512505241877","status":"PENDING_VBV","payment":{"authentication":{"url":"https://api.juspay.in/v2/pay/finish/icicipru/moz9g2wdSyHuDRKuJBC/D80019512505241877","method":"GET"}},"txn_uuid":"moz9g2wdSyHuDRKuJBC","offer_details":{"offers":[]},"txn_id":"icicipru-D80019512505241877-2"}
```

#### Failure Response:
```plaintext
{"error_message":"Unable to process the request.","status":"ERROR","error_code":"No scheduled transactions found.","error_info":{"user_message":"Internal Server Error","request_id":"c0a14e0d-1a29-41ed-8707-019216417cf6","href":"NA","developer_message":"Internal Server Error","code":"INTERNAL_SERVER_ERROR","category":"SERVER_ERROR"}}
```



---

## See Also

- [Mandate Retry](https://juspay.io/in/docs/api-reference/docs/express-checkout/mandate-retry)
- [Appendix](https://juspay.io/in/docs/api-reference/docs/express-checkout/appendix)
